// Configure your import map in config/importmap.rb. Read more: https://github.com/rails/importmap-rails
import "controllers"
import "@hotwired/turbo-rails"

document.addEventListener("turbo:load", function() {
  console.log('turbo:load');
  const flashMessages = document.querySelectorAll(".flash");

  flashMessages.forEach(flashMessage => {
    flashMessage.querySelector('.close').addEventListener('click', () => {
      flashMessage.parentNode.removeChild(flashMessage);
    });

    setTimeout(() => {
      flashMessage.parentNode.removeChild(flashMessage);
    }, 5000);
  });
});